IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/12
Addresses2^116
/64 networks2^52
- Network
2270::/12- First address
2270::- Last address
227f:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
- /64 networks (LANs)
- 4,503,599,627,370,496 (2^52)
- Full form
2270:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
7.2.2.ip6.arpa
Split into smaller subnets
2270::/12 makes 65,536 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2270::/28 | 2270:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2270:10::/28 | 2270:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2270:20::/28 | 2270:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2270:30::/28 | 2270:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2270:40::/28 | 2270:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2270:50::/28 | 2270:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2270:60::/28 | 2270:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2270:70::/28 | 2270:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2270:80::/28 | 2270:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2270:90::/28 | 2270:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2270:a0::/28 | 2270:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2270:b0::/28 | 2270:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2270:c0::/28 | 2270:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2270:d0::/28 | 2270:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2270:e0::/28 | 2270:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2270:f0::/28 | 2270:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2270:100::/28 | 2270:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2270:110::/28 | 2270:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2270:120::/28 | 2270:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2270:130::/28 | 2270:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2270:140::/28 | 2270:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2270:150::/28 | 2270:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2270:160::/28 | 2270:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2270:170::/28 | 2270:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2270:180::/28 | 2270:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2270:190::/28 | 2270:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2270:1a0::/28 | 2270:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2270:1b0::/28 | 2270:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2270:1c0::/28 | 2270:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2270:1d0::/28 | 2270:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2270:1e0::/28 | 2270:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2270:1f0::/28 | 2270:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2270:200::/28 | 2270:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2270:210::/28 | 2270:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2270:220::/28 | 2270:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2270:230::/28 | 2270:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2270:240::/28 | 2270:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2270:250::/28 | 2270:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2270:260::/28 | 2270:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2270:270::/28 | 2270:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2270:280::/28 | 2270:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2270:290::/28 | 2270:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2270:2a0::/28 | 2270:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2270:2b0::/28 | 2270:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2270:2c0::/28 | 2270:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2270:2d0::/28 | 2270:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2270:2e0::/28 | 2270:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2270:2f0::/28 | 2270:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2270:300::/28 | 2270:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2270:310::/28 | 2270:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2270:320::/28 | 2270:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2270:330::/28 | 2270:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2270:340::/28 | 2270:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2270:350::/28 | 2270:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2270:360::/28 | 2270:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2270:370::/28 | 2270:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2270:380::/28 | 2270:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2270:390::/28 | 2270:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2270:3a0::/28 | 2270:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2270:3b0::/28 | 2270:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2270:3c0::/28 | 2270:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2270:3d0::/28 | 2270:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2270:3e0::/28 | 2270:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2270:3f0::/28 | 2270:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2270:400::/28 | 2270:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2270:410::/28 | 2270:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2270:420::/28 | 2270:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2270:430::/28 | 2270:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2270:440::/28 | 2270:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2270:450::/28 | 2270:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2270:460::/28 | 2270:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2270:470::/28 | 2270:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2270:480::/28 | 2270:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2270:490::/28 | 2270:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2270:4a0::/28 | 2270:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2270:4b0::/28 | 2270:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2270:4c0::/28 | 2270:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2270:4d0::/28 | 2270:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2270:4e0::/28 | 2270:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2270:4f0::/28 | 2270:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2270:500::/28 | 2270:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2270:510::/28 | 2270:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2270:520::/28 | 2270:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2270:530::/28 | 2270:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2270:540::/28 | 2270:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2270:550::/28 | 2270:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2270:560::/28 | 2270:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2270:570::/28 | 2270:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2270:580::/28 | 2270:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2270:590::/28 | 2270:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2270:5a0::/28 | 2270:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2270:5b0::/28 | 2270:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2270:5c0::/28 | 2270:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2270:5d0::/28 | 2270:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2270:5e0::/28 | 2270:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2270:5f0::/28 | 2270:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2270:600::/28 | 2270:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2270:610::/28 | 2270:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2270:620::/28 | 2270:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2270:630::/28 | 2270:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2270:640::/28 | 2270:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2270:650::/28 | 2270:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2270:660::/28 | 2270:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2270:670::/28 | 2270:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2270:680::/28 | 2270:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2270:690::/28 | 2270:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2270:6a0::/28 | 2270:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2270:6b0::/28 | 2270:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2270:6c0::/28 | 2270:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2270:6d0::/28 | 2270:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2270:6e0::/28 | 2270:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2270:6f0::/28 | 2270:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2270:700::/28 | 2270:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2270:710::/28 | 2270:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2270:720::/28 | 2270:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2270:730::/28 | 2270:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2270:740::/28 | 2270:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2270:750::/28 | 2270:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2270:760::/28 | 2270:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2270:770::/28 | 2270:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2270:780::/28 | 2270:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2270:790::/28 | 2270:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2270:7a0::/28 | 2270:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2270:7b0::/28 | 2270:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2270:7c0::/28 | 2270:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2270:7d0::/28 | 2270:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2270:7e0::/28 | 2270:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2270:7f0::/28 | 2270:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2270:800::/28 | 2270:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2270:810::/28 | 2270:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2270:820::/28 | 2270:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2270:830::/28 | 2270:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2270:840::/28 | 2270:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2270:850::/28 | 2270:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2270:860::/28 | 2270:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2270:870::/28 | 2270:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2270:880::/28 | 2270:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2270:890::/28 | 2270:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2270:8a0::/28 | 2270:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2270:8b0::/28 | 2270:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2270:8c0::/28 | 2270:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2270:8d0::/28 | 2270:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2270:8e0::/28 | 2270:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2270:8f0::/28 | 2270:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2270:900::/28 | 2270:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2270:910::/28 | 2270:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2270:920::/28 | 2270:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2270:930::/28 | 2270:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2270:940::/28 | 2270:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2270:950::/28 | 2270:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2270:960::/28 | 2270:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2270:970::/28 | 2270:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2270:980::/28 | 2270:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2270:990::/28 | 2270:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2270:9a0::/28 | 2270:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2270:9b0::/28 | 2270:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2270:9c0::/28 | 2270:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2270:9d0::/28 | 2270:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2270:9e0::/28 | 2270:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2270:9f0::/28 | 2270:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2270:a00::/28 | 2270:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2270:a10::/28 | 2270:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2270:a20::/28 | 2270:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2270:a30::/28 | 2270:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2270:a40::/28 | 2270:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2270:a50::/28 | 2270:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2270:a60::/28 | 2270:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2270:a70::/28 | 2270:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2270:a80::/28 | 2270:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2270:a90::/28 | 2270:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2270:aa0::/28 | 2270:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2270:ab0::/28 | 2270:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2270:ac0::/28 | 2270:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2270:ad0::/28 | 2270:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2270:ae0::/28 | 2270:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2270:af0::/28 | 2270:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2270:b00::/28 | 2270:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2270:b10::/28 | 2270:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2270:b20::/28 | 2270:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2270:b30::/28 | 2270:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2270:b40::/28 | 2270:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2270:b50::/28 | 2270:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2270:b60::/28 | 2270:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2270:b70::/28 | 2270:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2270:b80::/28 | 2270:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2270:b90::/28 | 2270:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2270:ba0::/28 | 2270:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2270:bb0::/28 | 2270:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2270:bc0::/28 | 2270:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2270:bd0::/28 | 2270:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2270:be0::/28 | 2270:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2270:bf0::/28 | 2270:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2270:c00::/28 | 2270:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2270:c10::/28 | 2270:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2270:c20::/28 | 2270:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2270:c30::/28 | 2270:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2270:c40::/28 | 2270:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2270:c50::/28 | 2270:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2270:c60::/28 | 2270:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2270:c70::/28 | 2270:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2270:c80::/28 | 2270:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2270:c90::/28 | 2270:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2270:ca0::/28 | 2270:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2270:cb0::/28 | 2270:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2270:cc0::/28 | 2270:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2270:cd0::/28 | 2270:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2270:ce0::/28 | 2270:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2270:cf0::/28 | 2270:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2270:d00::/28 | 2270:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2270:d10::/28 | 2270:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2270:d20::/28 | 2270:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2270:d30::/28 | 2270:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2270:d40::/28 | 2270:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2270:d50::/28 | 2270:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2270:d60::/28 | 2270:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2270:d70::/28 | 2270:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2270:d80::/28 | 2270:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2270:d90::/28 | 2270:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2270:da0::/28 | 2270:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2270:db0::/28 | 2270:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2270:dc0::/28 | 2270:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2270:dd0::/28 | 2270:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2270:de0::/28 | 2270:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2270:df0::/28 | 2270:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2270:e00::/28 | 2270:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2270:e10::/28 | 2270:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2270:e20::/28 | 2270:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2270:e30::/28 | 2270:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2270:e40::/28 | 2270:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2270:e50::/28 | 2270:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2270:e60::/28 | 2270:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2270:e70::/28 | 2270:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2270:e80::/28 | 2270:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2270:e90::/28 | 2270:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2270:ea0::/28 | 2270:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2270:eb0::/28 | 2270:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2270:ec0::/28 | 2270:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2270:ed0::/28 | 2270:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2270:ee0::/28 | 2270:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2270:ef0::/28 | 2270:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2270:f00::/28 | 2270:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2270:f10::/28 | 2270:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2270:f20::/28 | 2270:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2270:f30::/28 | 2270:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2270:f40::/28 | 2270:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2270:f50::/28 | 2270:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2270:f60::/28 | 2270:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2270:f70::/28 | 2270:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2270:f80::/28 | 2270:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2270:f90::/28 | 2270:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2270:fa0::/28 | 2270:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2270:fb0::/28 | 2270:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2270:fc0::/28 | 2270:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2270:fd0::/28 | 2270:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2270:fe0::/28 | 2270:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2270:ff0::/28 | 2270:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |